<div class="container text-center">
  <h4>Recherche</h4>
</div>
<div class="container">

  <div class="row">

    <div class="col">

      <div class="search-hero">
        <input required class="form-control" type="text" name="search" [(ngModel)]="searchText" autocomplete="on"
          placeholder="&#61442;  Start searching for a hero by id or name or country">
      </div>



      <table class="table table-striped" *ngIf="searchText">
        <thead>
          <tr>
            <th>Nom</th>
            <th>Prenom</th>
            <th>email</th>
            <th>skills</th>
            <th>Profil</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let user of users | filter:searchText">
            <td>{{user.nom}}</td>
            <td>{{user.prenom}}</td>

            <td>{{user.email}}</td>
            <td>{{user.skills}}</td>

            <td><a [routerLink]="['userdetails/', user._id]"><button class="btn btn-danger">Aller au profil</button></a>
            </td>
          </tr>
        </tbody>
      </table>


    </div>
  </div>
  <router-outlet></router-outlet>